config/routes.rb
Rails.application.routes.draw do
  resources :actor_histories
  resources :movie_watchlists
  resources :actor_fanlists
  resources :actor_lists
  resources :movie_histories
  resources :ratings
  resources :movie_lists
  resources :seasons
  resources :age_ratings
  resources :cast_members
  resources :actors
  resources :movie_tag_counts
  resources :movie_tags
  resources :countries
  resources :genres
  devise_for :users
  resources :movies
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/controllers/movies_controller.rb
class MoviesController < ApplicationController
  before_action :set_movie, only: [:show, :edit, :update, :destroy]

  # GET /movies
  # GET /movies.json
  def index
    @movies = Movie.all_movies_and_their_data
  end

  # GET /movies/1
  # GET /movies/1.json
  def show
    @movie = Movie.find_movie_and_its_data(params[:id].to_i).first
    #find_by_sql returns an array of AR records, but it only return one
    #record anyway, hence the .first
  end

  # GET /movies/new
  def new
    @movie = Movie.new
  end

  # GET /movies/1/edit
  def edit
  end

  # POST /movies
  # POST /movies.json
  def create
    @movie = Movie.new(movie_params)

    respond_to do |format|
      if @movie.save
        format.html { redirect_to @movie, notice: 'Movie was successfully created.' }
        format.json { render :show, status: :created, location: @movie }
      else
        format.html { render :new }
        format.json { render json: @movie.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /movies/1
  # PATCH/PUT /movies/1.json
  def update
    respond_to do |format|
      if @movie.update(movie_params)
        format.html { redirect_to @movie, notice: 'Movie was successfully updated.' }
        format.json { render :show, status: :ok, location: @movie }
      else
        format.html { render :edit }
        format.json { render json: @movie.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /movies/1
  # DELETE /movies/1.json
  def destroy
    @movie.destroy
    respond_to do |format|
      format.html { redirect_to movies_url, notice: 'Movie was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_movie
      @movie = Movie.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def movie_params
      params.require(:movie).permit(:ger_title, :engl_title, :fsk, :realease_date, :duration, :imdb_rating)
    end
end

app/helpers/movies_helper.rb
module MoviesHelper
end

app/views/movies/_form.html.erb
<%= form_for(movie) do |f| %>
  <% if movie.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(movie.errors.count, "error") %> prohibited this movie from being saved:</h2>

      <ul>
      <% movie.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :ger_title %>
    <%= f.text_field :ger_title %>
  </div>

  <div class="field">
    <%= f.label :engl_title %>
    <%= f.text_field :engl_title %>
  </div>

  <div class="field">
    <%= f.label :fsk %>
    <%= f.text_field :fsk %>
  </div>

  <div class="field">
    <%= f.label :realease_date %>
    <%= f.date_select :realease_date %>
  </div>

  <div class="field">
    <%= f.label :duration %>
    <%= f.number_field :duration %>
  </div>

  <div class="field">
    <%= f.label :imdb_rating %>
    <%= f.text_field :imdb_rating %>
  </div>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/movies/edit.html.erb
<h1>Editing Movie</h1>

<%= render 'form', movie: @movie %>

<%= link_to 'Show', @movie %> |
<%= link_to 'Back', movies_path %>

app/views/movies/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Movies</h1>

<table>
  <thead>
    <tr>
      <th>Ger title</th>
      <th>Engl title</th>
      <th>Release date</th>
      <th>Duration</th>
      <th>Imdb rating</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @movies.each do |movie| %>
      <tr>
        <td><%= movie.ger_title %></td>
        <td><%= movie.engl_title %></td>
        <td><%= movie.release_date %></td>
        <td><%= movie.duration %></td>
        <td><%= movie.imdb_rating %></td>
        <td><%= link_to 'Show', movie %></td>
        <td><%= link_to 'Edit', edit_movie_path(movie) %></td>
        <td><%= link_to 'Destroy', movie, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Movie', new_movie_path %>

app/views/movies/new.html.erb
<h1>New Movie</h1>

<%= render 'form', movie: @movie %>

<%= link_to 'Back', movies_path %>

app/views/movies/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Ger title:</strong>
  <%= @movie.ger_title %>
</p>

<p>
  <strong>Engl title:</strong>
  <%= @movie.engl_title %>
</p>

<p>
  <strong>Realease date:</strong>
  <%= @movie.release_date %>
</p>

<p>
  <strong>Duration:</strong>
  <%= @movie.duration %>
</p>

<p>
  <strong>Imdb rating:</strong>
  <%= @movie.imdb_rating %>
</p>

<%= link_to 'Edit', edit_movie_path(@movie) %> |
<%= link_to 'Back', movies_path %>